

    systemd.services.vpn-shop = {
      enable = true;
      after = [ "postgresql.service" "xray.service" ];
      requires = [ "postgresql.service" "xray.service" "marzban.service" ];
      wantedBy = [ "multi-user.target" ];
      serviceConfig = {
        ExecStart = "${cfg.marzbanPackage}/bin/marzban-cli";
      };
      environment = marzbanEnvironment;
    };